Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionTabBarBase

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionTabBarBase

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionTabBarBase

extends QStyleOption

The `QStyleOptionTabBarBase` class is used to describe the base of a tab bar, i.e. the part that the tab bar usually overlaps with.

`QStyleOptionTabBarBase` contains all the information that `QStyle` functions need to draw the tab bar base. Note that this is only drawn for a standalone `QTabBar` (one that isn't part of a `QTabWidget`).

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOption`, `QTabBar::drawBase`

Nested Class Summary
`static class` | `QStyleOptionTabBarBase.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionTabBarBase.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionTabBarBase()` Construct a `QStyleOptionTabBarBase`, initializing the members vaiables to their default values.
`protected` | `QStyleOptionTabBarBase(int version)`
`` | `QStyleOptionTabBarBase(QStyleOptionTabBarBase other)` Constructs a copy of `other`.

Method Summary
`static QStyleOptionTabBarBase` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionTabBarBase instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QStyleOptionTabBarBase[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionTabBarBase array.
`QRect` | `selectedTabRect()` Returns the rectangle containing the selected tab.
`void` | `setSelectedTabRect(QRect selectedTabRect)` Sets the rectangle containing the selected tab to `selectedTabRect`.
`void` | `setShape(QTabBar.Shape shape)` Sets the shape of the tab bar to `shape`.
`void` | `setTabBarRect(QRect tabBarRect)` Sets the rectangle containing all the tabs to `tabBarRect`.
`QTabBar.Shape` | `shape()` Returns the shape of the tab bar.
`QRect` | `tabBarRect()` Returns the rectangle containing all the tabs.

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionTabBarBase

    public QStyleOptionTabBarBase(QStyleOptionTabBarBase other)

  Constructs a copy of `other`.

### QStyleOptionTabBarBase

    public QStyleOptionTabBarBase()

  Construct a `QStyleOptionTabBarBase`, initializing the members vaiables to their default values.

### QStyleOptionTabBarBase

    protected QStyleOptionTabBarBase(int version)

Method Detail

### setSelectedTabRect

    public final void setSelectedTabRect(QRect selectedTabRect)

  Sets the rectangle containing the selected tab to `selectedTabRect`.

  This rectangle is contained within the `tabBarRect`. The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

  See Also:
    `selectedTabRect`

### selectedTabRect

    public final QRect selectedTabRect()

  Returns the rectangle containing the selected tab.

  This rectangle is contained within the `tabBarRect`. The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

  See Also:
    `setSelectedTabRect`

### setShape

    public final void setShape(QTabBar.Shape shape)

  Sets the shape of the tab bar to `shape`.

  The default value is QTabBar::RoundedNorth.

  See Also:
    `shape`

### shape

    public final QTabBar.Shape shape()

  Returns the shape of the tab bar.

  The default value is QTabBar::RoundedNorth.

  See Also:
    `setShape`

### setTabBarRect

    public final void setTabBarRect(QRect tabBarRect)

  Sets the rectangle containing all the tabs to `tabBarRect`.

  The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

  See Also:
    `tabBarRect`

### tabBarRect

    public final QRect tabBarRect()

  Returns the rectangle containing all the tabs.

  The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

  See Also:
    `setTabBarRect`

### fromNativePointer

    public static QStyleOptionTabBarBase fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionTabBarBase instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionTabBarBase[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionTabBarBase array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD